@report()

@styles()
\setcounter{secnumdepth}{2}
\setcounter{tocdepth}{2}

\usepackage{ltablex}
\usepackage{pdflscape}
\usepackage{siunitx}
\sisetup{detect-all}
\DeclareSIUnit[number-unit-product = {}]{\inch}{\textquotedbl}

@listings()

@{
import hashlib
h = hashlib.md5()
h.update(name.encode('utf8'))
hash_ref = '{}'.format(h.hexdigest()[:4].upper())
}

@fancyhdr(style='full', title='\\bfseries AN\\textrmlf{{{}}}'.format(hash_ref))
\pagestyle{simple}

\begin{document}

\newgeometry{left=1.5cm, right=1.5cm, top=0cm, bottom=4cm}
\thispagestyle{simple}

\vspace*{0.75cm}

\rule{\textwidth}{0.5pt}

\includegraphics[height=1cm]{@find('logo_easymov_horizontal.png')}
\hfill \begin{minipage}[b]{0.48\linewidth}
\begin{flushright}
{\LARGE \bfseries \sffamily \color{black} BOM\textrmlf{@hash_ref}} \\
{\LARGE \bfseries \sffamily \color{black} Bill of Material}
\end{flushright}
\end{minipage}
\rule{\textwidth}{0.5pt}
\begin{minipage}[b]{\linewidth}
\begin{flushright}
{\Large \sffamily \color{black} \raggedleft @title}
\end{flushright}
\end{minipage}
\rule{\textwidth}{0.5pt}

@{logo = get('logo', None)}
@[if logo != None]
\begin{center}
\includegraphics[height=3cm]{@find(logo)}
\end{center}
@[end if]

{\fontsize{17}{18}\bfseries\sffamily\color{purple} Description}

@description()

\vspace{0.75cm}

\tableofcontents

\newgeometry{left=1.5cm, right=1.5cm, top=4cm, bottom=4cm}
\setcounter{page}{2}

\pagestyle{full}

\begin{landscape}
@content()
\end{landscape}

@revision()

\end{document}
